<?php define('WP_USE_THEMES', false); get_header(); ?>

<div id="main">
<?php $blogurl = get_bloginfo('url');?>

	<div id="maincontent">

				<?php
					if(isset($_GET['author_name'])) :
					$curauth = get_userdatabylogin($author_name);
					else :
					$curauth = get_userdata(intval($author));
					endif;
				?>
				<div class="authorinfo">
						<?php $table_capabilities = capabilities; $table_prefix_cap_join = $table_prefix.$table_capabilities; ?>
						<p>Name: <?php echo $curauth->first_name; ?> <?php echo $curauth->last_name; ?></p>
						<p>Website Role: <?php echo key($curauth->$table_prefix_cap_join); ?></p>
						<p>Personal Website: <a href="<?php echo $curauth->user_url; ?>"><?php echo $curauth->user_url; ?></a></p>
						<p>Profile: <?php echo $curauth->user_description; ?></p>
						<p>RSS Feed: <?php echo '<a href="' . get_bloginfo('url') . '?author=' . $curauth->ID . '&amp;feed=rss2">Feed URL</a>'; ?></p>
				</div>
				<h3>Posts by <?php echo $curauth->display_name; ?>:</h3>

	<?php if ( have_posts() ) : while (have_posts()) : the_post(); ?>

		<div class="entry">
			<div id="post-<?php the_ID(); ?>" <?php post_class(); ?>>
				<div class="post-header">
					<h2 class="title"><a href="<?php the_permalink() ?>" rel="bookmark" title="Permanent Link to <?php the_title(); ?>"><?php the_title(); ?></a></h2>
					<div class="date">
						<?php unset($previousday); printf(__('%1$s &#8211; %2$s'), the_date('', '', '', false), get_the_time() ) ?>
					</div>
				</div>
				
				<div class="words">
					<?php the_content('Read the rest of this entry &raquo;'); ?>
				</div>			

				<div class="postmetadata">
					<p style="float: left;">Written by <?php the_author_posts_link(); ?></p>
					<?php
					
					if ( comments_open() )
					{
						echo '<p style="float: right;text-align: right;padding-right: 5px;"><a href="'; comments_link(); echo '">'; fb_comment_type_count('comment'); echo '</a></p>';
					}
					else
					{
						echo '<p style="float: right;text-align: right;padding-right: 5px;">'; fb_comment_type_count('comment'); echo '</p>';
					}
					?>
					<div class="clear"></div>
					<?php edit_post_link('Edit', '<p>', '</p>'); ?>
				</div>

				<div class="clear"></div>
			</div>
		</div>

		<?php endwhile; ?>

		<div id="navigation">
				<?php posts_nav_link(' ',' ','<span class="alignleft">Older Posts</span>'); ?>
				<?php posts_nav_link(' ','<span class="alignright">Newer Posts</span>',' '); ?>
		</div>

		<?php else : ?>
		<div>
			<h2>Page Not Found</h2>
		</div>

	<?php endif; ?>

	</div>
<?php get_sidebar(); ?>
<div class="clear"></div>
<?php get_footer(); ?>